/**
 * CMI : Cluster Method Invocation
 * Copyright (C) 2008 Bull S.A.S.
 * Contact: carol@ow2.org
 *
 * This library is free software; you can redistribute it and/or
 * modify it under the terms of the GNU Lesser General Public
 * License as published by the Free Software Foundation; either
 * version 2.1 of the License, or (at your option) any later version.
 *
 * This library is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
 * Lesser General Public License for more details.
 *
 * You should have received a copy of the GNU Lesser General Public
 * License along with this library; if not, write to the Free Software
 * Foundation, Inc., 51 Franklin Street, Fifth Floor, Boston, MA  02110-1301, USA
 * --------------------------------------------------------------------------
 * $Id: DefaultPolicyStrategyLoaderActivator.java 2439 2010-02-24 16:21:19Z benoitf $
 * --------------------------------------------------------------------------
 */

package org.ow2.cmi.osgi.loader;

import org.osgi.framework.BundleActivator;
import org.osgi.framework.BundleContext;
import org.ow2.cmi.osgi.loader.DefaultPolicyStrategyLoader;

/**
 * Activator for default policy/strategy loader.
 * @author The new CMI team
 *
 */
public class DefaultPolicyStrategyLoaderActivator implements BundleActivator {
    /**
     * Bundle context.
     */
    private BundleContext bc = null;

    /* (non-Javadoc)
     * @see org.osgi.framework.BundleActivator#start(org.osgi.framework.BundleContext)
     */
    public void start(final BundleContext arg0) throws Exception {
        DefaultPolicyStrategyLoader.setBundleContext(arg0);
        bc = arg0;
    }

    /* (non-Javadoc)
     * @see org.osgi.framework.BundleActivator#stop(org.osgi.framework.BundleContext)
     */
    public void stop(final BundleContext arg0) throws Exception {
        bc = null;
    }

}
